#
# spec file for package nagios-plugins-various
#
#

# norootforbuild


Name:           nagios-plugins-various
Summary:        Nagios plugin collection
Version:        0.2
Release:        3.1
Url:            http://download.obs.j0ke.net/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	check_curl2
Source1:	check_replication_slave
Source2:	check_listen_tcp_udp
%if 0%{?rhel} >= 8
Requires:	php-cli php-curl
%else
Requires:	php php-curl php-mysql
%endif
AutoReqProv:	off
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This is a nagios plugin collection.

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_curl2
%if 0%{?rhel} < 8
install    -m755 %{SOURCE1} %buildroot/%libexecdir/check_replication_slave
%endif
install    -m755 %{SOURCE2} %buildroot/%libexecdir/check_listen_tcp_udp

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/*

%changelog
* Mon Nov  4 2013 cs@linux-administrator.com
- update to package release 0.2
- added check_listen_tcp_udp
* Tue Sep  4 2012 cs@linux-administrator.com
- initial build
